Subject: bug#50675: more info

From: Dmitry Gutov <[email-masked]>
Date: Sun, 5 Jun 2022 01:31:50 +0300

Hi!

On 08.05.2022 11:26, meedstrom--- via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> Okay, so the warning message "pcomplete-completions-at-point fails to 
> return valid completion data" originates from completion-at-point in 
> minibuffer.el.
> 
> There's a comment in there that says if the CAPF returned t, it assumes 
> completion already happened. It does seem that the CAPF returns t, at 
> least in eshell in a string. So that may be the root of the problem.
> 
> I'm not 100% sure I'm interpreting the debugger right. To do what I did,
> 
> 1. emacs -Q
> 2. M-x debug-on-entry RET pcomplete-completions-at-point RET
> 3. type a quote mark in eshell and press TAB

Sorry for the late reply.

This bug seems like a duplicate of bug#50470, which we almost got fixed, 
but... then bug#55204 came around, patch merged, and the behavior 
doesn't seem to reproduce anymore.

Check the latest master sometime, see if you can still trigger the problem.